OpenCV: cv::videostab::MotionEstimatorL1 Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::videostab::MotionEstimatorL1 Class Reference
Video Stabilization » Global Motion Estimation

Describes a global 2D motion estimation method which minimizes L1 error. More...

`#include "global_motion.hpp"`

Inheritance diagram for cv::videostab::MotionEstimatorL1:

## Public Member Functions
| MotionEstimatorL1 (MotionModel model=MM_AFFINE)
virtual Mat | estimate (InputArray points0, InputArray points1, bool *ok=0) CV_OVERRIDE
| Estimates global motion between two 2D point clouds. More...
Public Member Functions inherited from cv::videostab::MotionEstimatorBase
virtual | ~MotionEstimatorBase ()
virtual MotionModel | motionModel () const
virtual void | setMotionModel (MotionModel val)
| Sets motion model. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::videostab::MotionEstimatorBase
| MotionEstimatorBase (MotionModel model)

## Detailed Description

Describes a global 2D motion estimation method which minimizes L1 error.

Note
  To be able to use this method you must build OpenCV with CLP library support. :

## Constructor & Destructor Documentation

## ◆ MotionEstimatorL1()

cv::videostab::MotionEstimatorL1::MotionEstimatorL1 | ( | MotionModel | model = `MM_AFFINE` | ) |

## Member Function Documentation

## ◆ estimate()

virtual Mat cv::videostab::MotionEstimatorL1::estimate | ( | InputArray | points0,
|  | InputArray | points1,
|  | bool * | ok = `0`
| ) |  |
| virtual

Estimates global motion between two 2D point clouds.

Parameters

  points0 | Source set of 2D points (32F).
  points1 | Destination set of 2D points (32F).
  ok | Indicates whether motion was estimated successfully.

Returns
  3x3 2D transformation matrix (32F).

Implements cv::videostab::MotionEstimatorBase.

The documentation for this class was generated from the following file:

- videostab/include/opencv2/videostab/global_motion.hpp